Get a list of topics available for a device within a given time range.
By default, this endpoint will not return the schema for each topic. To include the schemas, you must provide the includeSchemas query parameter.
Use start and end to limit the response to overlapping recording ranges.
Topics for not-imported recordings are only returned if no parameter is provided besides recordingId or recordingKey. This is because most parameters need the imported files to filter, and can only return an empty list if imports are unavailable.
Security
ApiKey(Required scopes: data.topics.list)
- Productionhttps://api.foxglove.dev/v1/data/topics
from foxglove.client import Client
from datetime import datetime, timedelta
token = "<YOUR API TOKEN HERE>"
client = Client(token=token)
client.get_topics(
device_id=device_id,
start=datetime.now() - timedelta(hours=3),
end=datetime.now() - timedelta(hours=1),
)
List of topics
Array [
]
Response
[ { "encoding": "string", "schema": "string", "schemaEncoding": "string", "schemaName": "string", "topic": "string", "version": "string" } ]